org.gjt.sp.jedit.menu

## Class RecentFilesProvider

- java.lang.Object
- - org.gjt.sp.jedit.menu.RecentFilesProvider

- All Implemented Interfaces:
    DynamicMenuProvider

      public class RecentFilesProvider
      extends java.lang.Object
      implements DynamicMenuProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecentFilesProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `update(javax.swing.JMenu menu)` Adds the menu items to the given menu.
    `boolean` | `updateEveryTime()` Returns true if the menu should be updated each time it is shown.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecentFilesProvider

          public RecentFilesProvider()

  - ### Method Detail

    - #### updateEveryTime

          public boolean updateEveryTime()

      Description copied from interface: `DynamicMenuProvider`
      Returns true if the menu should be updated each time it is shown. Otherwise, it will only be updated when the menu is first created, and if the menu receives a `DynamicMenuChanged` message.
      Specified by:
        `updateEveryTime` in interface `DynamicMenuProvider`

    - #### update

          public void update(javax.swing.JMenu menu)

      Description copied from interface: `DynamicMenuProvider`
      Adds the menu items to the given menu.
      Specified by:
        `update` in interface `DynamicMenuProvider`
      Parameters:
        `menu` - The menu